package org.springblade.modules.activities.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 活动专区表实体类
 *
 * @author zzyd
 * @since 2023-04-27
 */
@Data
@TableName("biz_activities")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Activities对象", description = "活动专区表")
public class Activities extends BaseEntity<Activities> {

	private static final long serialVersionUID = 1L;

	/**
	* 活动图片
	*/
	@ApiModelProperty(value = "活动图片")
	private String activityImage;
	/**
	* 活动名称
	*/
	@ApiModelProperty(value = "活动名称")
	private String activityName;
	/**
	* 活动类型
	*/
	@ApiModelProperty(value = "活动类型")
	private String activityType;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 活动日期
	*/
	@ApiModelProperty(value = "活动日期")
	private LocalDate activityDate;
	/**
	* 活动开始时间
	*/
	@ApiModelProperty(value = "活动开始时间")
	private LocalDateTime startTime;
	/**
	* 活动结束时间
	*/
	@ApiModelProperty(value = "活动结束时间")
	private LocalDateTime endTime;

	@ApiModelProperty(value = "商品id")
	private Long goodsId;

}
