package org.springblade.modules.activities.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 奖品表实体类
 *
 * @author zzyd
 * @since 2023-05-26
 */
@Data
@TableName("biz_prize")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Prize对象", description = "奖品表")
public class Prize extends BaseEntity<Prize> {

	private static final long serialVersionUID = 1L;

	/**
	* 奖品类型;1-积分 2-实物 3-优惠券 4-谢谢参与
	*/
	@ApiModelProperty(value = "奖品类型;1-积分 2-实物 3-优惠券 4-谢谢参与")
	private Integer prizeType;
	/**
	* 奖品显示图片
	*/
	@ApiModelProperty(value = "奖品显示图片")
	private String prizeImage;
	/**
	* 奖品名字
	*/
	@ApiModelProperty(value = "奖品名字")
	private String prizeName;
	/**
	* 实物、优惠券奖品id
	*/
	@ApiModelProperty(value = "实物、优惠券奖品id")
	private Long realPrizeId;
	/**
	* 奖品值（数量）
	*/
	@ApiModelProperty(value = "奖品值（数量）")
	private String prizeValue;
	/**
	* 中奖几率
	*/
	@ApiModelProperty(value = "中奖几率")
	private Double ratio;
	/**
	* 当前命中
	*/
	@ApiModelProperty(value = "当前命中")
	private Integer currentNum;
	/**
	* 最大中奖数 0：代表不限制
	*/
	@ApiModelProperty(value = "最大中奖数 0：代表不限制")
	private Integer maxNum;



}
