package org.springblade.modules.activities.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 中奖记录表实体类
 *
 * @author zzyd
 * @since 2023-05-25
 */
@Data
@TableName("biz_prize_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PrizeRecord对象", description = "中奖记录表")
public class PrizeRecord extends BaseEntity<PrizeRecord> {

	private static final long serialVersionUID = 1L;

	/**
	* 奖品id
	*/
	@ApiModelProperty(value = "奖品id")
	private Long prizeId;
	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	* 抽奖时间
	*/
	@ApiModelProperty(value = "抽奖时间")
	private Date drawTime;
	/**
	* 是否中奖 0：未中奖 1：中奖
	*/
	@ApiModelProperty(value = "是否中奖 0：未中奖 1：中奖")
	private Integer isHit;

	@ApiModelProperty(value = "领取状态 1-已领取 0-未领取")
	private Integer receiveStatus;

}
