package org.springblade.modules.activities.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 签到信息表实体类
 *
 * @author zzyd
 * @since 2023-05-05
 */
@Data
@TableName("biz_sign_in")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SignIn对象", description = "签到信息表")
public class SignIn extends BaseEntity<SignIn> {

	private static final long serialVersionUID = 1L;

	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Long userId;
	/**
	* 连续签到天数
	*/
	@ApiModelProperty(value = "连续签到天数")
	private Integer days;
	/**
	* 最后签到时间
	*/
	@ApiModelProperty(value = "最后签到时间")
	private LocalDateTime lastSignInTime;



}
