/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.activities.service;

import org.springblade.modules.activities.entity.PrizeRecord;
import org.springblade.modules.activities.vo.PrizeRecordVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 中奖记录表 服务类
 *
 * @author BladeX
 * @since 2023-05-25
 */
public interface IPrizeRecordService extends IService<PrizeRecord> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param prizeRecord
	 * @return
	 */
	IPage<PrizeRecordVO> selectPrizeRecordPage(IPage<PrizeRecordVO> page, PrizeRecordVO prizeRecord);

	/**
	 * 查询用户中奖记录
	 * @param page
	 * @param userId 用户ID
	 * @return
	 */
    IPage<PrizeRecordVO> winningRecord(IPage page, Long userId);

	/**
	 * 保存抽奖记录
	 * @param prizeId 奖品id
	 * @param userId 用户ID
	 * @param receiveStatus 领取状态
	 */
	void savePrizeRecord(Long prizeId, Long userId, Integer receiveStatus);

	/**
	 * 中奖纪录详情
	 * @param id
	 * @return
	 */
    PrizeRecordVO winningRecordDetail(Long id);
}
