/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.activities.service;

import org.springblade.modules.activities.entity.Prize;
import org.springblade.modules.activities.vo.PrizeVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 奖品表 服务类
 *
 * @author BladeX
 * @since 2023-05-26
 */
public interface IPrizeService extends IService<Prize> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param prize
	 * @return
	 */
	IPage<PrizeVO> selectPrizePage(IPage<PrizeVO> page, PrizeVO prize);

	/**
	 * 获取奖品列表
	 * @return
	 */
	List<Prize> getPrizeList();


	/**
	 * 抽奖
	 * @param userId 用户ID
	 * @return
	 */
	PrizeVO draw(Long userId);

	/**
	 * 获取抽奖次数
	 * @param userId
	 * @return
	 */
	Long getDrawCount(Long userId);
}
