/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.activities.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.activities.entity.PrizeRecord;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 中奖记录表视图实体类
 *
 * @author BladeX
 * @since 2023-05-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PrizeRecordVO对象", description = "中奖记录表")
public class PrizeRecordVO extends PrizeRecord {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "奖品显示图片")
	private String prizeImage;
	@ApiModelProperty(value = "奖品类型;1-积分 2-实物 3-优惠券 4-谢谢参与")
	private Integer prizeType;
	@ApiModelProperty(value = "订单号")
	private String orderNo;
	@ApiModelProperty(value = "订单状态")
	private Integer orderState;
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	@ApiModelProperty(value = "奖品名称")
	private String prizeName;
	@ApiModelProperty(value = "用户名称")
	private String userName;
}
