/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.activities.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.activities.entity.Prize;
import org.springblade.modules.activities.vo.PrizeVO;
import java.util.Objects;

/**
 * 奖品表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-05-26
 */
public class PrizeWrapper extends BaseEntityWrapper<Prize, PrizeVO>  {

	public static PrizeWrapper build() {
		return new PrizeWrapper();
 	}

	@Override
	public PrizeVO entityVO(Prize prize) {
		PrizeVO prizeVO = Objects.requireNonNull(BeanUtil.copy(prize, PrizeVO.class));

		//User createUser = UserCache.getUser(prize.getCreateUser());
		//User updateUser = UserCache.getUser(prize.getUpdateUser());
		//prizeVO.setCreateUserName(createUser.getName());
		//prizeVO.setUpdateUserName(updateUser.getName());

		return prizeVO;
	}

}
