/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.activities.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.activities.entity.SignInRecord;
import org.springblade.modules.activities.vo.SignInRecordVO;
import java.util.Objects;

/**
 * 签到记录表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-05-05
 */
public class SignInRecordWrapper extends BaseEntityWrapper<SignInRecord, SignInRecordVO>  {

	public static SignInRecordWrapper build() {
		return new SignInRecordWrapper();
 	}

	@Override
	public SignInRecordVO entityVO(SignInRecord signInRecord) {
		SignInRecordVO signInRecordVO = Objects.requireNonNull(BeanUtil.copy(signInRecord, SignInRecordVO.class));

		//User createUser = UserCache.getUser(signInRecord.getCreateUser());
		//User updateUser = UserCache.getUser(signInRecord.getUpdateUser());
		//signInRecordVO.setCreateUserName(createUser.getName());
		//signInRecordVO.setUpdateUserName(updateUser.getName());

		return signInRecordVO;
	}

}
