package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * Author pangqijun
 * Date 2023/6/13
 * Description
 */
@Data
public class AddCommentRequest {
    @NotNull(message = "orderId 不能为空")
    @ApiModelProperty("订单ID")
    private Long orderId;

    @NotEmpty(message = "评论不能为空")
    @ApiModelProperty("评论")
    private String content;

    @NotNull(message = "score 不能为空")
    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty("视频、图片url集合")
    private List<String> mediaUrl;
}
