package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * Author pangqijun
 * Date 2023/2/14
 * Description
 */
@Data
public class CustomWineOrderSave {

    private Long userId;

    @ApiModelProperty(value = "用户优惠券ID")
    private Long couponUserId;

    @NotNull(message = "数量不能为空")
    @ApiModelProperty(value = "数量")
    private Integer quantity;

    @ApiModelProperty(value = "用户地址id")
    private Long userAddressId;

    @NotNull(message = "配送方式不能为空")
    @ApiModelProperty(value = "配送方式;1-快递 2-配送")
    private Integer distributeMode;

    @NotNull(message = "瓶盖id不能为空")
    @ApiModelProperty(value = "瓶盖id")
    private Long bottleCapId;

    @NotNull(message = "瓶身id不能为空")
    @ApiModelProperty(value = "瓶身id")
    private Long bottleBodyId;

    @ApiModelProperty(value = "标贴id")
    private Long bottleLabelId;

    @NotNull(message = "酒箱id不能为空")
    @ApiModelProperty(value = "酒箱id")
    private Long wineCaseId;

//    @NotNull(message = "酒盒id不能为空")
    @ApiModelProperty(value = "酒盒id")
    private Long wineBoxId;

//    @NotNull(message = "手提包id不能为空")
    @ApiModelProperty(value = "手提包iid")
    private Long handbagId;

    @ApiModelProperty(value = "酒箱填充物id")
    private Long wineCaseStuffingId;

    @ApiModelProperty(value = "酒盒填充物id")
    private Long wineBoxStuffingId;

    @NotNull(message = "基酒类型不能为空")
    @ApiModelProperty(value = "基酒类型;1-成品基酒 2-调酒师基酒")
    private Integer baseWineType;

    @ApiModelProperty(value = "基酒id")
    private Long baseWineId;

    @ApiModelProperty(value = "调酒师id")
    private Long bartenderId;

    @ApiModelProperty(value = "调酒师技能id")
    private Long bartenderSkillId;

    @ApiModelProperty(value = "特调基酒id")
    private Long specialBaseWineId;

    @ApiModelProperty(value = "特调配方id")
    private Long specialFormulaId;

    @ApiModelProperty(value = "商标id")
    private Long trademarkId;

    @ApiModelProperty(value = "自定义内容")
    private String customContent;

    @ApiModelProperty(value = "字体")
    private String font;

    @ApiModelProperty(value = "模板")
    private String template;

    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 酒标diy图片
     */
    @ApiModelProperty(value = "酒标diy图片")
    private String wineLabelImage;
    /**
     * 酒箱diy图片
     */
    @ApiModelProperty(value = "酒箱diy图片")
    private String wineCaseImage;
    /**
     * 酒盒diy图片
     */
    @ApiModelProperty(value = "酒盒diy图片")
    private String wineBoxImage;
    /**
     * 手提包diy图片
     */
    @ApiModelProperty(value = "手提包diy图片")
    private String handbagImage;
}
