package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

/**
 * Author pangqijun
 * Date 2023/5/19
 * Description
 */
@Data
public class SaveDIYInfoRequest {

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("酒标diy图片")
    private MultipartFile wineLabelImageFile;
    @ApiModelProperty("酒箱diy图片")
    private MultipartFile wineCaseImageFile;
    @ApiModelProperty("酒盒diy图片")
    private MultipartFile wineBoxImageFile;
    @ApiModelProperty("手提包diy图片")
    private MultipartFile handbagImageFile;
    @ApiModelProperty("二维码")
    private MultipartFile qrCodeFile;

    @ApiModelProperty("酒标文字，多个以逗号分割")
    private String wineLabelContext;
    @ApiModelProperty("酒箱文字，多个以逗号分割")
    private String wineCaseContext;
    @ApiModelProperty("酒盒文字，多个以逗号分割")
    private String wineBoxContext;
    @ApiModelProperty("手提包文字，多个以逗号分割")
    private String handbagContext;

    @ApiModelProperty("酒标字体")
    private String wineLabelFont;
    @ApiModelProperty("酒箱字体")
    private String wineCaseFont;
    @ApiModelProperty("酒盒字体")
    private String wineBoxFont;
    @ApiModelProperty("手提包字体")
    private String handbagFont;

    @ApiModelProperty("酒标颜色")
    private String wineLabelColor;
    @ApiModelProperty("酒箱颜色")
    private String wineCaseColor;
    @ApiModelProperty("酒盒颜色")
    private String wineBoxColor;
    @ApiModelProperty("手提包颜色")
    private String handbagColor;

    @ApiModelProperty("酒标贴纸")
    private String wineLabelSticker;
    @ApiModelProperty("酒箱贴纸")
    private String wineCaseSticker;
    @ApiModelProperty("酒盒贴纸")
    private String wineBoxSticker;
    @ApiModelProperty("手提包贴纸")
    private String handbagSticker;
}
