package org.springblade.modules.api.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * Author pangqijun
 * Date 2023/6/3
 * Description
 */
@Data
public class UploadTrademarkRequest {
    @NotBlank(message = "请上传商标图片")
    @ApiModelProperty("商标图片url")
    private String logo;

    @NotBlank(message = "请上传授权证书")
    @ApiModelProperty("授权证书url")
    private String authCert;

    @NotNull(message = "请选择截止期限")
    @ApiModelProperty(value = "截止期限")
    private LocalDateTime usePeriod;

    @NotBlank(message = "请输入商标名称")
    @ApiModelProperty(value = "商标名称")
    private String name;
}
