package org.springblade.modules.auction.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 竞拍报名表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_auction_apply")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AuctionApply对象", description = "竞拍报名表")
public class AuctionApply extends BaseEntity<AuctionApply> {

	private static final long serialVersionUID = 1L;

	/**
	* 拍品id
	*/
	@ApiModelProperty(value = "拍品id")
	private Long auctionId;
	/**
	* 专场id
	*/
	@ApiModelProperty(value = "专场id")
	private Long specialId;
	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	* 报名时间
	*/
	@ApiModelProperty(value = "报名时间")
	private LocalDateTime applyTime;
	/**
	* 支付的保证金
	*/
	@ApiModelProperty(value = "支付的保证金")
	private BigDecimal earnestPrice;
	/**
	* 支付的预缴款
	*/
	@ApiModelProperty(value = "支付的预缴款")
	private BigDecimal advancePrice;
	/**
	* 是否设置提醒,0:不提醒，1：提醒
	*/
	@ApiModelProperty(value = "是否设置提醒,0:不提醒，1：提醒")
	private Integer isRemind;
	/**
	* 提醒时间
	*/
	@ApiModelProperty(value = "提醒时间")
	private LocalDateTime remindTime;
	/**
	* 提醒方式，0：短信提醒，1：app消息提醒
	*/
	@ApiModelProperty(value = "提醒方式，0：短信提醒，1：app消息提醒")
	private Integer remindType;
	/**
	* 电话号码
	*/
	@ApiModelProperty(value = "电话号码")
	private String phone;




}
