package org.springblade.modules.auction.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 拍卖商品表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_auction_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AuctionGoods对象", description = "拍卖商品表")
public class AuctionGoods extends BaseEntity<AuctionGoods> {

	private static final long serialVersionUID = 1L;

	/**
	* 标题
	*/
	@ApiModelProperty(value = "标题")
	private String title;
	/**
	* 图片集合
	*/
	@ApiModelProperty(value = "图片集合")
	private String images;
	/**
	* 拍卖机构id
	*/
	@ApiModelProperty(value = "拍卖机构id")
	private String agencyId;
	/**
	* 拍卖机构名称
	*/
	@ApiModelProperty(value = "拍卖机构名称")
	private String agencyName;
	/**
	* 拍卖机构类型，1：机构。2：个人
	*/
	@ApiModelProperty(value = "拍卖机构类型，1：机构。2：个人")
	private Integer agencyType;
	/**
	* 拍卖开始时间
	*/
	@ApiModelProperty(value = "拍卖开始时间")
	private LocalDateTime auctionStartTime;
	/**
	* 拍卖结束时间
	*/
	@ApiModelProperty(value = "拍卖结束时间")
	private LocalDateTime auctionEndTime;
	/**
	* 拍卖周期
	*/
	@ApiModelProperty(value = "拍卖周期")
	private Integer auctionPeriod;
	/**
	* 拍卖周期单位
	*/
	@ApiModelProperty(value = "拍卖周期单位")
	private Integer auctionPeriodUnit;
	/**
	* 延时周期
	*/
	@ApiModelProperty(value = "延时周期")
	private Integer delayPeriod;
	/**
	* 延时周期单位
	*/
	@ApiModelProperty(value = "延时周期单位")
	private Integer delayPeriodUnit;
	/**
	* 保证金
	*/
	@ApiModelProperty(value = "保证金")
	private BigDecimal earnestPrice;
	/**
	* 竞拍预缴款
	*/
	@ApiModelProperty(value = "竞拍预缴款")
	private BigDecimal advancePrice;
	/**
	* 加价幅度
	*/
	@ApiModelProperty(value = "加价幅度")
	private BigDecimal markupPrice;
	/**
	* 起拍价
	*/
	@ApiModelProperty(value = "起拍价")
	private BigDecimal startingPrice;
	/**
	* 评估价
	*/
	@ApiModelProperty(value = "评估价")
	private BigDecimal valuationsPrice;
	/**
	* 落槌价
	*/
	@ApiModelProperty(value = "落槌价")
	private BigDecimal hammerPrice;
	/**
	* 当前出价
	*/
	@ApiModelProperty(value = "当前出价")
	private BigDecimal presentPrice;
	/**
	* 竞拍规则类型
	*/
	@ApiModelProperty(value = "竞拍规则类型")
	private Integer ruleType;
	/**
	* 竞拍规则类型说明
	*/
	@ApiModelProperty(value = "竞拍规则类型说明")
	private String ruleMsg;
	/**
	* 拍卖品介绍
	*/
	@ApiModelProperty(value = "拍卖品介绍")
	private String auctionPresenta;
	/**
	* 拍卖公告
	*/
	@ApiModelProperty(value = "拍卖公告")
	private String auctionAffiche;
	/**
	* 竞拍须知
	*/
	@ApiModelProperty(value = "竞拍须知")
	private String auctionNotice;
	/**
	* 状态，0：未开始，1：流拍，2：已成交
	*/
	@ApiModelProperty(value = "状态，0：未开始，1：流拍，2：已成交")
	private Integer status;
	/**
	* 目前所在专场id，流拍则退出专场
	*/
	@ApiModelProperty(value = "目前所在专场id，流拍则退出专场")
	private Long specialId;
	/**
	* 报名人数
	*/
	@ApiModelProperty(value = "报名人数")
	private Integer applyCount;
	/**
	* 设置提醒人数
	*/
	@ApiModelProperty(value = "设置提醒人数")
	private Integer remindCount;
	/**
	* 围观人次数
	*/
	@ApiModelProperty(value = "围观人次数")
	private Integer onlookerCount;



}
