package org.springblade.modules.auction.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 竞拍机构表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_auction_org")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AuctionOrg对象", description = "竞拍机构表")
public class AuctionOrg extends BaseEntity<AuctionOrg> {

	private static final long serialVersionUID = 1L;

	/**
	* 机构名称
	*/
	@ApiModelProperty(value = "机构名称")
	private String orgName;
	/**
	* 机构地址
	*/
	@ApiModelProperty(value = "机构地址")
	private String address;
	/**
	* 机构简介
	*/
	@ApiModelProperty(value = "机构简介")
	private String introductory;
	/**
	* 状态，0：有效，1：无效
	*/
	@ApiModelProperty(value = "状态，0：有效，1：无效")
	private Integer status;
	/**
	* 进驻时间
	*/
	@ApiModelProperty(value = "进驻时间")
	private String arrivalTime;
	/**
	* 机构代表人id
	*/
	@ApiModelProperty(value = "机构代表人id")
	private Long userId;

	/**
	 * 机构代表人姓名
	 */
	@ApiModelProperty(value = "机构代表人姓名")
	private String realName;

	/**
	 * 机构代表人账号
	 */
	@ApiModelProperty(value = "机构代表人账号")
	private String account;




}
