package org.springblade.modules.auction.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 竞拍记录表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_auction_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AuctionRecord对象", description = "竞拍记录表")
public class AuctionRecord extends BaseEntity<AuctionRecord> {

	private static final long serialVersionUID = 1L;

	/**
	* 拍品id
	*/
	@ApiModelProperty(value = "拍品id")
	private Long auctionId;
	/**
	* 专场id
	*/
	@ApiModelProperty(value = "专场id")
	private Long specialId;
	/**
	* 状态，1：出局，2：成交
	*/
	@ApiModelProperty(value = "状态，1：出局，2：成交")
	private Integer status;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 竞拍编号
	*/
	@ApiModelProperty(value = "竞拍编号")
	private String auctionNo;




}
