package org.springblade.modules.auction.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 竞拍专场表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_auction_special")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AuctionSpecial对象", description = "竞拍专场表")
public class AuctionSpecial extends BaseEntity<AuctionSpecial> {

	private static final long serialVersionUID = 1L;

	/**
	* 标题
	*/
	@ApiModelProperty(value = "标题")
	private String title;
	/**
	* 开始时间
	*/
	@ApiModelProperty(value = "开始时间")
	private LocalDateTime auctionStartTime;
	/**
	* 结束时间
	*/
	@ApiModelProperty(value = "结束时间")
	private LocalDateTime auctionEndTime;
	/**
	* 状态，0：未开始，1：进行中，2：结束
	*/
	@ApiModelProperty(value = "状态，0：未开始，1：进行中，2：结束")
	private Integer status;
	/**
	* 拍品数量
	*/
	@ApiModelProperty(value = "拍品数量")
	private Integer goodsCount;
	/**
	* 成交数量
	*/
	@ApiModelProperty(value = "成交数量")
	private Integer turnoverCount;




}
