package org.springblade.modules.auction.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 竞拍专场拍品关联表实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_auction_special_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AuctionSpecialGoods对象", description = "竞拍专场拍品关联表")
public class AuctionSpecialGoods extends BaseEntity<AuctionSpecialGoods> {

	private static final long serialVersionUID = 1L;

	/**
	* 专场id
	*/
	@ApiModelProperty(value = "专场id")
	private Long specialId;
	/**
	* 拍品id
	*/
	@ApiModelProperty(value = "拍品id")
	private Long goodsId;
	/**
	* 状态，0：未开始，1：进行中，2：本场流拍，3：本场成交
	*/
	@ApiModelProperty(value = "状态，0：未开始，1：进行中，2：本场流拍，3：本场成交")
	private Integer status;




}
