/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.auction.service.impl;

import org.springblade.modules.auction.entity.AuctionApply;
import org.springblade.modules.auction.vo.AuctionApplyVO;
import org.springblade.modules.auction.mapper.AuctionApplyMapper;
import org.springblade.modules.auction.service.IAuctionApplyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 竞拍报名表 服务实现类
 *
 * @author BladeX
 * @since 2023-02-14
 */
@Service
public class AuctionApplyServiceImpl extends ServiceImpl<AuctionApplyMapper, AuctionApply> implements IAuctionApplyService {

	@Override
	public IPage<AuctionApplyVO> selectAuctionApplyPage(IPage<AuctionApplyVO> page, AuctionApplyVO auctionApply) {
		return page.setRecords(baseMapper.selectAuctionApplyPage(page, auctionApply));
	}

}
