/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.auction.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.auction.entity.AuctionApply;
import org.springblade.modules.auction.vo.AuctionApplyVO;
import java.util.Objects;

/**
 * 竞拍报名表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-02-14
 */
public class AuctionApplyWrapper extends BaseEntityWrapper<AuctionApply, AuctionApplyVO>  {

	public static AuctionApplyWrapper build() {
		return new AuctionApplyWrapper();
 	}

	@Override
	public AuctionApplyVO entityVO(AuctionApply auctionApply) {
		AuctionApplyVO auctionApplyVO = Objects.requireNonNull(BeanUtil.copy(auctionApply, AuctionApplyVO.class));

		//User createUser = UserCache.getUser(auctionApply.getCreateUser());
		//User updateUser = UserCache.getUser(auctionApply.getUpdateUser());
		//auctionApplyVO.setCreateUserName(createUser.getName());
		//auctionApplyVO.setUpdateUserName(updateUser.getName());

		return auctionApplyVO;
	}

}
