/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.auction.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.auction.entity.AuctionRecord;
import org.springblade.modules.auction.vo.AuctionRecordVO;
import java.util.Objects;

/**
 * 竞拍记录表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-02-14
 */
public class AuctionRecordWrapper extends BaseEntityWrapper<AuctionRecord, AuctionRecordVO>  {

	public static AuctionRecordWrapper build() {
		return new AuctionRecordWrapper();
 	}

	@Override
	public AuctionRecordVO entityVO(AuctionRecord auctionRecord) {
		AuctionRecordVO auctionRecordVO = Objects.requireNonNull(BeanUtil.copy(auctionRecord, AuctionRecordVO.class));

		//User createUser = UserCache.getUser(auctionRecord.getCreateUser());
		//User updateUser = UserCache.getUser(auctionRecord.getUpdateUser());
		//auctionRecordVO.setCreateUserName(createUser.getName());
		//auctionRecordVO.setUpdateUserName(updateUser.getName());

		return auctionRecordVO;
	}

}
