package org.springblade.modules.custom.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 基酒表实体类
 *
 * @author zzyd
 * @since 2023-02-08
 */
@Data
@TableName("biz_base_wine")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BaseWine对象", description = "基酒表")
public class BaseWine extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片", hidden = true)
	private String image;
	/**
	* 介绍
	*/
	@ApiModelProperty(value = "介绍", hidden = true)
	private String introduce;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	 * 单位
	 */
	@ApiModelProperty(value = "单位", hidden = true)
	private String unit;
	/**
	* 销量
	*/
	@ApiModelProperty(value = "销量")
	private Integer salesVolume;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;
	/**
	 * 默认数量
	 */
	@ApiModelProperty(value = "默认数量", hidden = true)
	private Integer defaultNum;

	/**
	 * 厂商id
	 */
	@ApiModelProperty(value = "厂商id")
	private Long manufacturerId;

	@ApiModelProperty(value = "年份")
	private Long year;

	@ApiModelProperty(value = "口感")
	private String taste;

	@ApiModelProperty(value = "类型 1-浓香型 2-酱香型")
	private Integer type;

	@ApiModelProperty(value = "样酒价格")
	private BigDecimal foreignPrice;

	@ApiModelProperty(value = "样酒容量")
	private String foreignCapacity;

	@TableField(exist = false)
	private String labelIds;
}
