package org.springblade.modules.custom.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 酒体标签表实体类
 *
 * @author zzyd
 * @since 2023-05-25
 */
@Data
@TableName("biz_base_wine_label")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BaseWineLabel对象", description = "酒体标签表")
public class BaseWineLabel extends BaseEntity<BaseWineLabel> {

	private static final long serialVersionUID = 1L;

	/**
	* 酒体id
	*/
	@ApiModelProperty(value = "酒体id")
	private Long baseWineId;
	/**
	* 标签id
	*/
	@ApiModelProperty(value = "标签id")
	private Long labelId;



}
