package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 手提袋表实体类
 *
 * @author zzyd
 * @since 2023-05-16
 */
@Data
@TableName("biz_handbag")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Handbag对象", description = "手提袋表")
public class Handbag extends BaseEntity<Handbag> {

	private static final long serialVersionUID = 1L;

	/**
	* 分类id
	*/
	@ApiModelProperty(value = "分类id")
	private Long categoryId;
	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;
	/**
	* 颜色
	*/
	@ApiModelProperty(value = "颜色")
	private String color;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片")
	private String image;
	/**
	* 长
	*/
	@ApiModelProperty(value = "长")
	private BigDecimal length;
	/**
	* 宽
	*/
	@ApiModelProperty(value = "宽")
	private BigDecimal width;
	/**
	* 高
	*/
	@ApiModelProperty(value = "高")
	private BigDecimal high;
	/**
	* 默认数量
	*/
	@ApiModelProperty(value = "默认数量")
	private Integer defaultNum;
	/**
	* 单位
	*/
	@ApiModelProperty(value = "单位")
	private String unit;
	/**
	* 酒厂id
	*/
	@ApiModelProperty(value = "酒厂id")
	private Long manufacturerId;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;

	@ApiModelProperty(value = "平面图url")
	private String planUrl;

}
