package org.springblade.modules.custom.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 厂商表实体类
 *
 * @author zzyd
 * @since 2023-03-01
 */
@Data
@TableName("biz_manufacturer")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Manufacturer对象", description = "厂商表")
public class Manufacturer extends BaseEntity<Manufacturer> {

	private static final long serialVersionUID = 1L;

	/**
	* 厂商名称
	*/
	@ApiModelProperty(value = "厂商名称")
	private String name;
	/**
	 * 厂商logo
	 */
	@ApiModelProperty(value = "厂商logo")
	private String logo;
	@ApiModelProperty(value = "厂商logo")
	private String logoTwo;
	@ApiModelProperty(value = "厂商logo")
	private String logoThree;
	/**
	 * 酒厂视频
	 */
	@ApiModelProperty(value = "酒厂视频")
	private String video;
	/**
	* 联系电话
	*/
	@ApiModelProperty(value = "联系电话")
	private String contactNumber;
	/**
	* 厂商地址
	*/
	@ApiModelProperty(value = "厂商地址")
	private String address;
	/**
	* 简介
	*/
	@ApiModelProperty(value = "简介")
	private String introduction;

	@ApiModelProperty(value = "标签ID")
	@TableField(exist = false)
	private String labelIds;

	@ApiModelProperty(value = "资质图片")
	@TableField(exist = false)
	private List<String> certList;

}
