package org.springblade.modules.custom.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 酒厂资质表实体类
 *
 * @author zzyd
 * @since 2023-05-18
 */
@Data
@TableName("biz_manufacturer_cert")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ManufacturerCert对象", description = "酒厂资质表")
public class ManufacturerCert extends BaseEntity<ManufacturerCert> {

	private static final long serialVersionUID = 1L;

	/**
	* 酒厂id
	*/
	@ApiModelProperty(value = "酒厂id")
	private Long manufacturerId;
	/**
	* 资质图片
	*/
	@ApiModelProperty(value = "资质图片")
	private String certImage;



}
