package org.springblade.modules.custom.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 酒厂标签关系表实体类
 *
 * @author zzyd
 * @since 2023-05-18
 */
@Data
@TableName("biz_manufacturer_label")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ManufacturerLabel对象", description = "酒厂标签关系表")
public class ManufacturerLabel extends BaseEntity<ManufacturerLabel> {

	private static final long serialVersionUID = 1L;

	/**
	* 酒厂id
	*/
	@ApiModelProperty(value = "酒厂id")
	private Long manufacturerId;
	/**
	* 标签id
	*/
	@ApiModelProperty(value = "标签id")
	private Long labelId;



}
