package org.springblade.modules.custom.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 特调基酒实体类
 *
 * @author zzyd
 * @since 2023-06-05
 */
@Data
@TableName("biz_special_base_wine")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SpecialBaseWine对象", description = "特调基酒")
public class SpecialBaseWine extends BaseEntity<SpecialBaseWine> {

	private static final long serialVersionUID = 1L;

	/**
	* 酒厂id
	*/
	@ApiModelProperty(value = "酒厂id")
	private Long manufacturerId;
	/**
	* 特调基酒名称
	*/
	@ApiModelProperty(value = "特调基酒名称")
	private String name;
	/**
	* 特调基酒年份
	*/
	@ApiModelProperty(value = "特调基酒年份")
	private String year;
	/**
	 * 价格
	 */
	@ApiModelProperty(value = "价格")
	private BigDecimal price;


}
