package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 特调配方实体类
 *
 * @author zzyd
 * @since 2023-06-05
 */
@Data
@TableName("biz_special_formula")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SpecialFormula对象", description = "特调配方")
public class SpecialFormula extends BaseEntity<SpecialFormula> {

	private static final long serialVersionUID = 1L;

	/**
	* 酒厂id
	*/
	@ApiModelProperty(value = "酒厂id")
	private Long manufacturerId;
	/**
	* 配方名称
	*/
	@ApiModelProperty(value = "配方名称")
	private String name;
	/**
	* 配方描述
	*/
	@ApiModelProperty(value = "配方描述")
	private String description;
	/**
	* 单位
	*/
	@ApiModelProperty(value = "单位")
	private String unit;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;



}
