package org.springblade.modules.custom.entity;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商标表实体类
 *
 * @author zzyd
 * @since 2023-05-31
 */
@Data
@TableName("biz_trademark")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Trademark对象", description = "商标表")
public class Trademark extends BaseEntity<Trademark> {

	private static final long serialVersionUID = 1L;

	/**
	* 商标类型 1-平台 2-用户
	*/
	@ApiModelProperty(value = "商标类型 1-平台 2-用户")
	private Integer type;
	/**
	* 用户ID，type为2时必填
	*/
	@ApiModelProperty(value = "用户ID，type为2时必填")
	private Long userId;
	/**
	* 授权证书
	*/
	@ApiModelProperty(value = "授权证书")
	private String authCert;
	/**
	* 使用期限
	*/
	@ApiModelProperty(value = "使用期限")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
	private LocalDateTime usePeriod;
	/**
	* 商标名称
	*/
	@ApiModelProperty(value = "商标名称")
	private String name;
	/**
	* logo
	*/
	@ApiModelProperty(value = "logo")
	private String logo;
	/**
	* 授权费用（元/次）
	*/
	@ApiModelProperty(value = "授权费用（元/次）")
	private BigDecimal authFee;
	/**
	* 购买费用
	*/
	@ApiModelProperty(value = "购买费用")
	private BigDecimal buyFree;
	/**
	* 授权天数
	*/
	@ApiModelProperty(value = "授权天数")
	private Integer authDays;



}
