package org.springblade.modules.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户商标授权记录实体类
 *
 * @author zzyd
 * @since 2023-05-31
 */
@Data
@TableName("biz_trademark_auth")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TrademarkAuth对象", description = "用户商标授权记录")
public class TrademarkAuth extends BaseEntity<TrademarkAuth> {

	private static final long serialVersionUID = 1L;

	/**
	* 用户
	*/
	@ApiModelProperty(value = "用户")
	private Long userId;
	/**
	* 商标id
	*/
	@ApiModelProperty(value = "商标id")
	private Long trademarkId;
	/**
	* 授权类型 1-授权 2-购买
	*/
	@ApiModelProperty(value = "授权类型 1-授权 2-购买")
	private String authType;
	/**
	* 使用期限
	*/
	@ApiModelProperty(value = "使用期限")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
	private LocalDateTime usePeriod;



}
