/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.service;

import org.springblade.modules.custom.entity.SpecialFormula;
import org.springblade.modules.custom.vo.SpecialFormulaVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 特调配方 服务类
 *
 * @author BladeX
 * @since 2023-06-05
 */
public interface ISpecialFormulaService extends IService<SpecialFormula> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param specialFormula
	 * @return
	 */
	IPage<SpecialFormulaVO> selectSpecialFormulaPage(IPage<SpecialFormulaVO> page, SpecialFormulaVO specialFormula);

}
