/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.service;

import org.springblade.modules.custom.entity.TrademarkAuth;
import org.springblade.modules.custom.vo.TrademarkAuthVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.custom.vo.TrademarkVO;
import org.springblade.modules.finance.entity.OrderTrademark;

/**
 * 用户商标授权记录 服务类
 *
 * @author BladeX
 * @since 2023-05-31
 */
public interface ITrademarkAuthService extends IService<TrademarkAuth> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param trademarkAuth
	 * @return
	 */
	IPage<TrademarkAuthVO> selectTrademarkAuthPage(IPage<TrademarkAuthVO> page, TrademarkAuthVO trademarkAuth);

	/**
	 * 授权
	 */
	void auth(OrderTrademark trademark);

	/**
	 * 查询授权记录
	 * @param page
	 * @param userId
	 * @param type 1-使用中 2-已失效
	 * @return
	 */
	IPage<TrademarkAuthVO> authRecord(IPage page, Long userId, Integer type);
}
