/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.vo;

import cn.hutool.core.collection.CollUtil;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.custom.entity.BaseWine;
import org.springblade.modules.custom.entity.Manufacturer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

import java.util.List;

/**
 * 厂商表视图实体类
 *
 * @author BladeX
 * @since 2023-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ManufacturerVO对象", description = "厂商表")
public class ManufacturerVO extends Manufacturer {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("标签字符串，逗号分割")
	private String labelStr;

	@ApiModelProperty("标签列表")
	private List<String> labelList;

	@ApiModelProperty("调酒师列表")
	private List<BartenderVO> bartenderList;

	private List<BaseWine> baseWineList;

	public List<String> getLabelList() {
		if (labelStr != null) {
			return CollUtil.newArrayList(labelStr.split(","));
		}
		return labelList;
	}
}
