/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.Manufacturer;
import org.springblade.modules.custom.vo.ManufacturerVO;
import java.util.Objects;

/**
 * 厂商表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-03-01
 */
public class ManufacturerWrapper extends BaseEntityWrapper<Manufacturer, ManufacturerVO>  {

	public static ManufacturerWrapper build() {
		return new ManufacturerWrapper();
 	}

	@Override
	public ManufacturerVO entityVO(Manufacturer manufacturer) {
		ManufacturerVO manufacturerVO = Objects.requireNonNull(BeanUtil.copy(manufacturer, ManufacturerVO.class));

		//User createUser = UserCache.getUser(manufacturer.getCreateUser());
		//User updateUser = UserCache.getUser(manufacturer.getUpdateUser());
		//manufacturerVO.setCreateUserName(createUser.getName());
		//manufacturerVO.setUpdateUserName(updateUser.getName());

		return manufacturerVO;
	}

}
