/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.Sticker;
import org.springblade.modules.custom.vo.StickerVO;
import java.util.Objects;

/**
 * 贴纸表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-05-19
 */
public class StickerWrapper extends BaseEntityWrapper<Sticker, StickerVO>  {

	public static StickerWrapper build() {
		return new StickerWrapper();
 	}

	@Override
	public StickerVO entityVO(Sticker sticker) {
		StickerVO stickerVO = Objects.requireNonNull(BeanUtil.copy(sticker, StickerVO.class));

		//User createUser = UserCache.getUser(sticker.getCreateUser());
		//User updateUser = UserCache.getUser(sticker.getUpdateUser());
		//stickerVO.setCreateUserName(createUser.getName());
		//stickerVO.setUpdateUserName(updateUser.getName());

		return stickerVO;
	}

}
