/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.TrademarkAuth;
import org.springblade.modules.custom.vo.TrademarkAuthVO;
import java.util.Objects;

/**
 * 用户商标授权记录包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-05-31
 */
public class TrademarkAuthWrapper extends BaseEntityWrapper<TrademarkAuth, TrademarkAuthVO>  {

	public static TrademarkAuthWrapper build() {
		return new TrademarkAuthWrapper();
 	}

	@Override
	public TrademarkAuthVO entityVO(TrademarkAuth trademarkAuth) {
		TrademarkAuthVO trademarkAuthVO = Objects.requireNonNull(BeanUtil.copy(trademarkAuth, TrademarkAuthVO.class));

		//User createUser = UserCache.getUser(trademarkAuth.getCreateUser());
		//User updateUser = UserCache.getUser(trademarkAuth.getUpdateUser());
		//trademarkAuthVO.setCreateUserName(createUser.getName());
		//trademarkAuthVO.setUpdateUserName(updateUser.getName());

		return trademarkAuthVO;
	}

}
