package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * DIY信息表实体类
 *
 * @author zzyd
 * @since 2023-05-23
 */
@Data
@TableName("biz_custom_wine_diy")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CustomWineDiy对象", description = "DIY信息表")
public class CustomWineDiy extends BaseEntity<CustomWineDiy> {

	private static final long serialVersionUID = 1L;

	/**
	* 订单标号
	*/
	@ApiModelProperty(value = "订单标号")
	private String orderNo;
	/**
	* 二维码
	*/
	@ApiModelProperty(value = "二维码")
	private String qrCode;
	/**
	* 酒标diy图片
	*/
	@ApiModelProperty(value = "酒标diy图片")
	private String wineLabelImage;
	/**
	* 酒箱diy图片
	*/
	@ApiModelProperty(value = "酒箱diy图片")
	private String wineCaseImage;
	/**
	* 酒盒diy图片
	*/
	@ApiModelProperty(value = "酒盒diy图片")
	private String wineBoxImage;
	/**
	* 手提包diy图片
	*/
	@ApiModelProperty(value = "手提包diy图片")
	private String handbagImage;
	/**
	* 酒标文字，多个以逗号分割
	*/
	@ApiModelProperty(value = "酒标文字，多个以逗号分割")
	private String wineLabelContext;
	/**
	* 酒箱文字
	*/
	@ApiModelProperty(value = "酒箱文字")
	private String wineCaseContext;
	/**
	* 酒盒文字
	*/
	@ApiModelProperty(value = "酒盒文字")
	private String wineBoxContext;
	/**
	* 手提包文字
	*/
	@ApiModelProperty(value = "手提包文字")
	private String handbagContext;
	/**
	* 酒标字体
	*/
	@ApiModelProperty(value = "酒标字体")
	private String wineLabelFont;
	/**
	* 酒箱字体
	*/
	@ApiModelProperty(value = "酒箱字体")
	private String wineCaseFont;
	/**
	* 酒盒字体
	*/
	@ApiModelProperty(value = "酒盒字体")
	private String wineBoxFont;
	/**
	* 手提包字体
	*/
	@ApiModelProperty(value = "手提包字体")
	private String handbagFont;
	/**
	* 酒标颜色
	*/
	@ApiModelProperty(value = "酒标颜色")
	private String wineLabelColor;
	/**
	* 酒箱颜色
	*/
	@ApiModelProperty(value = "酒箱颜色")
	private String wineCaseColor;
	/**
	* 酒盒颜色
	*/
	@ApiModelProperty(value = "酒盒颜色")
	private String wineBoxColor;
	/**
	* 手提包颜色
	*/
	@ApiModelProperty(value = "手提包颜色")
	private String handbagColor;
	/**
	* 酒标贴纸
	*/
	@ApiModelProperty(value = "酒标贴纸")
	private String wineLabelSticker;
	/**
	* 酒箱贴纸
	*/
	@ApiModelProperty(value = "酒箱贴纸")
	private String wineCaseSticker;
	/**
	* 酒盒贴纸
	*/
	@ApiModelProperty(value = "酒盒贴纸")
	private String wineBoxSticker;
	/**
	* 手提包贴纸
	*/
	@ApiModelProperty(value = "手提包贴纸")
	private String handbagSticker;



}
