package org.springblade.modules.finance.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 定制酒订单实体类
 *
 * @author zzyd
 * @since 2023-02-14
 */
@Data
@TableName("biz_custom_wine_order")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CustomWineOrder对象", description = "定制酒订单")
public class CustomWineOrder extends BaseEntity<CustomWineOrder> {

	private static final long serialVersionUID = 1L;

	/**
	* order_id
	*/
	@ApiModelProperty(value = "order_id")
	private Long orderId;
	/**
	* 瓶盖id
	*/
	@ApiModelProperty(value = "瓶盖id")
	private Long bottleCapId;
	/**
	* 瓶盖名称
	*/
	@ApiModelProperty(value = "瓶盖名称")
	private String bottleCapName;
	/**
	* 瓶盖数量
	*/
	@ApiModelProperty(value = "瓶盖数量")
	private Integer bottleCapQuantity;
	/**
	* 瓶盖价格
	*/
	@ApiModelProperty(value = "瓶盖价格")
	private BigDecimal bottleCapPrice;
	/**
	* 瓶盖单位
	*/
	@ApiModelProperty(value = "瓶盖单位")
	private String bottleCapUnit;
	/**
	* 瓶身id
	*/
	@ApiModelProperty(value = "瓶身id")
	private Long bottleBodyId;
	/**
	* 瓶身名字
	*/
	@ApiModelProperty(value = "瓶身名字")
	private String bottleBodyName;
	/**
	* 瓶身数量
	*/
	@ApiModelProperty(value = "瓶身数量")
	private Integer bottleBodyQuantity;
	/**
	* 瓶身价格
	*/
	@ApiModelProperty(value = "瓶身价格")
	private BigDecimal bottleBodyPrice;
	/**
	* 瓶身单位
	*/
	@ApiModelProperty(value = "瓶身单位")
	private String bottleBodyUnit;
	/**
	* 标贴id
	*/
	@ApiModelProperty(value = "标贴id")
	private Long bottleLabelId;
	/**
	* 标贴名字
	*/
	@ApiModelProperty(value = "标贴名字")
	private String bottleLabelName;
	/**
	* 标贴数量
	*/
	@ApiModelProperty(value = "标贴数量")
	private Integer bottleLabelQuantity;
	/**
	* 标贴价格
	*/
	@ApiModelProperty(value = "标贴价格")
	private BigDecimal bottleLabelPrice;
	/**
	* 标贴单位
	*/
	@ApiModelProperty(value = "标贴单位")
	private String bottleLabelUnit;
	/**
	* 酒箱id
	*/
	@ApiModelProperty(value = "酒箱id")
	private Long wineCaseId;
	/**
	* 酒箱名字
	*/
	@ApiModelProperty(value = "酒箱名字")
	private String wineCaseName;
	/**
	* 酒箱数量
	*/
	@ApiModelProperty(value = "酒箱数量")
	private Integer wineCaseQuantity;
	/**
	* 酒箱价格
	*/
	@ApiModelProperty(value = "酒箱价格")
	private BigDecimal wineCasePrice;
	/**
	* 酒箱单位
	*/
	@ApiModelProperty(value = "酒箱单位")
	private String wineCaseUnit;
	/**
	* 酒盒id
	*/
	@ApiModelProperty(value = "酒盒id")
	private Long wineBoxId;
	/**
	* 酒盒名字
	*/
	@ApiModelProperty(value = "酒盒名字")
	private String wineBoxName;
	/**
	* 酒盒数量
	*/
	@ApiModelProperty(value = "酒盒数量")
	private Integer wineBoxQuantity;
	/**
	* 酒盒价格
	*/
	@ApiModelProperty(value = "酒盒价格")
	private BigDecimal wineBoxPrice;
	/**
	* 酒盒单位
	*/
	@ApiModelProperty(value = "酒盒单位")
	private String wineBoxUnit;
	/**
	* 酒箱填充物id
	*/
	@ApiModelProperty(value = "酒箱填充物id")
	private Long wineCaseStuffingId;
	/**
	* 酒箱填充物名字
	*/
	@ApiModelProperty(value = "酒箱填充物名字")
	private String wineCaseStuffingName;
	/**
	* 酒箱填充物数量
	*/
	@ApiModelProperty(value = "酒箱填充物数量")
	private Integer wineCaseStuffingQuantity;
	/**
	* 酒箱填充物价格
	*/
	@ApiModelProperty(value = "酒箱填充物价格")
	private BigDecimal wineCaseStuffingPrice;
	/**
	* 酒箱填充物单位
	*/
	@ApiModelProperty(value = "酒箱填充物单位")
	private String wineCaseStuffingUnit;
	/**
	* 酒盒填充物id
	*/
	@ApiModelProperty(value = "酒盒填充物id")
	private Long wineBoxStuffingId;
	/**
	* 酒盒填充物名字
	*/
	@ApiModelProperty(value = "酒盒填充物名字")
	private String wineBoxStuffingName;
	/**
	* 酒盒填充物数量
	*/
	@ApiModelProperty(value = "酒盒填充物数量")
	private Integer wineBoxStuffingQuantity;
	/**
	* 酒盒填充物价格
	*/
	@ApiModelProperty(value = "酒盒填充物价格")
	private BigDecimal wineBoxStuffingPrice;
	/**
	* 酒盒填充物单位
	*/
	@ApiModelProperty(value = "酒盒填充物单位")
	private String wineBoxStuffingUnit;
	/**
	* 基酒类型;1-成品基酒 2-调酒师基酒
	*/
	@ApiModelProperty(value = "基酒类型;1-成品基酒 2-调酒师基酒")
	private Integer baseWineType;
	/**
	* 基酒名字
	*/
	@ApiModelProperty(value = "基酒名字")
	private String baseWineName;
	/**
	* 基酒数量
	*/
	@ApiModelProperty(value = "基酒数量")
	private Integer baseWineQuantity;
	/**
	* 基酒价格
	*/
	@ApiModelProperty(value = "基酒价格")
	private BigDecimal baseWinePrice;
	/**
	* 基酒单位
	*/
	@ApiModelProperty(value = "基酒单位")
	private String baseWineUnit;
	/**
	* 基酒id
	*/
	@ApiModelProperty(value = "基酒id")
	private Long baseWineId;
	/**
	 * 手提包名字
	 */
	@ApiModelProperty(value = "手提包名字")
	private String handbagName;
	/**
	 * 手提包数量
	 */
	@ApiModelProperty(value = "手提包数量")
	private Integer handbagQuantity;
	/**
	 * 手提包价格
	 */
	@ApiModelProperty(value = "手提包价格")
	private BigDecimal handbagPrice;
	/**
	 * 手提包单位
	 */
	@ApiModelProperty(value = "手提包单位")
	private String handbagUnit;
	/**
	 * 手提包id
	 */
	@ApiModelProperty(value = "手提包id")
	private Long handbagId;
	/**
	* 调酒师id
	*/
	@ApiModelProperty(value = "调酒师id")
	private Long bartenderId;
	/**
	* 调酒师技能id
	*/
	@ApiModelProperty(value = "调酒师技能id")
	private Long bartenderSkillId;
	/**
	* 调酒师技能
	*/
	@ApiModelProperty(value = "调酒师技能")
	private String bartenderSkillTitle;
	/**
	* 自定义内容
	*/
	@ApiModelProperty(value = "自定义内容")
	private String customContent;
	/**
	* 字体
	*/
	@ApiModelProperty(value = "字体")
	private String font;
	/**
	* 模板
	*/
	@ApiModelProperty(value = "模板")
	private String template;

	@ApiModelProperty(value = "特调基酒id")
	private Long specialBaseWineId;

	@ApiModelProperty(value = "特调配方id")
	private Long specialFormulaId;

	@ApiModelProperty(value = "商标id")
	private Long trademarkId;

}
