package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 样酒订单信息表实体类
 *
 * @author zzyd
 * @since 2023-05-29
 */
@Data
@TableName("biz_order_sample_wine")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderSampleWine对象", description = "样酒订单信息表")
public class OrderSampleWine extends BaseEntity<OrderSampleWine> {

	private static final long serialVersionUID = 1L;

	/**
	* 订单ID
	*/
	@ApiModelProperty(value = "订单ID")
	private Long orderId;
	/**
	* 基酒id
	*/
	@ApiModelProperty(value = "基酒id")
	private Long baseWineId;
	/**
	* 数量
	*/
	@ApiModelProperty(value = "数量")
	private Integer quantity;
	/**
	* 容量
	*/
	@ApiModelProperty(value = "容量")
	private String foreignCapacity;

}
