package org.springblade.modules.finance.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商标授权订单表实体类
 *
 * @author zzyd
 * @since 2023-06-03
 */
@Data
@TableName("biz_order_trademark")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderTrademark对象", description = "商标授权订单表")
public class OrderTrademark extends BaseEntity<OrderTrademark> {

	private static final long serialVersionUID = 1L;

	/**
	* 订单id
	*/
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	* 商标id
	*/
	@ApiModelProperty(value = "商标id")
	private Long trademarkId;
	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/** 授权天数 */
	@ApiModelProperty(value = "授权天数")
	private Integer authDays;

}
