/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service;

import org.springblade.modules.api.request.CustomWineOrderSave;
import org.springblade.modules.api.request.SaveDIYInfoRequest;
import org.springblade.modules.finance.entity.CustomWineOrder;
import org.springblade.modules.finance.vo.CustomWineOrderVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 定制酒订单 服务类
 *
 * @author BladeX
 * @since 2023-02-14
 */
public interface ICustomWineOrderService extends IService<CustomWineOrder> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param customWineOrder
	 * @return
	 */
	IPage<CustomWineOrderVO> selectCustomWineOrderPage(IPage<CustomWineOrderVO> page, CustomWineOrderVO customWineOrder);

	/**
	 * 保存定制酒订单
	 * @param param 下单参数
	 * @param userId 用户id
	 * @return
	 */
	String saveOrder(CustomWineOrderSave param, Long userId) throws Exception;

	/**
	 * 根据订单ID查询
	 * @param orderId
	 * @return
	 */
	CustomWineOrderVO getByOrderId(Long orderId);

    void saveDIYInfo(SaveDIYInfoRequest request);
}
