/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.finance.entity.CustomWineOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 定制酒订单视图实体类
 *
 * @author BladeX
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CustomWineOrderVO对象", description = "定制酒订单")
public class CustomWineOrderVO extends CustomWineOrder {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("基酒图片")
	private String baseWineImage;

	@ApiModelProperty("酒瓶图片")
	private String bottleBodyImage;

	@ApiModelProperty("酒盖图片")
	private String bottleCapImage;

	@ApiModelProperty("酒标图片")
	private String LabelImage;

	@ApiModelProperty("手提袋图片")
	private String handbagImage;

	@ApiModelProperty("酒盒图片")
	private String wineBoxImage;

	@ApiModelProperty("酒箱图片")
	private String wineCaseImage;


}
