/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.finance.entity.OrderTrademark;
import org.springblade.modules.finance.vo.OrderTrademarkVO;
import java.util.Objects;

/**
 * 商标授权订单表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-06-03
 */
public class OrderTrademarkWrapper extends BaseEntityWrapper<OrderTrademark, OrderTrademarkVO>  {

	public static OrderTrademarkWrapper build() {
		return new OrderTrademarkWrapper();
 	}

	@Override
	public OrderTrademarkVO entityVO(OrderTrademark orderTrademark) {
		OrderTrademarkVO orderTrademarkVO = Objects.requireNonNull(BeanUtil.copy(orderTrademark, OrderTrademarkVO.class));

		//User createUser = UserCache.getUser(orderTrademark.getCreateUser());
		//User updateUser = UserCache.getUser(orderTrademark.getUpdateUser());
		//orderTrademarkVO.setCreateUserName(createUser.getName());
		//orderTrademarkVO.setUpdateUserName(updateUser.getName());

		return orderTrademarkVO;
	}

}
