package org.springblade.modules.mall.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 优惠券实体类
 *
 * @author zzyd
 * @since 2023-05-04
 */
@Data
@TableName("biz_coupon")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Coupon对象", description = "优惠券")
public class Coupon extends BaseEntity<Coupon> {

	private static final long serialVersionUID = 1L;

	/**
	* 优惠券优惠的类型;1-折扣券 2-满减券 3-无门槛
	*/
	@ApiModelProperty(value = "优惠券优惠的类型;1-折扣券 2-满减券 3-无门槛")
	private Integer preferentialType;
	/**
	* 优惠券类型;1-平台 2-商家 3-商品
	*/
	@ApiModelProperty(value = "优惠券类型;1-平台 2-商家 3-商品")
	private Integer type;

	@ApiModelProperty(value = "业务场景;1-新人福利 2-福利中心 3-其他")
	private Integer businessScene;
	/**
	* 优惠券名称
	*/
	@ApiModelProperty(value = "优惠券名称")
	private String title;

	@ApiModelProperty(value = "有效天数")
	private Integer validDays;

	/**
	* 开始使用时间
	*/
	@ApiModelProperty(value = "开始使用时间")
	private LocalDateTime startTime;
	/**
	* 结束使用时间
	*/
	@ApiModelProperty(value = "结束使用时间")
	private LocalDateTime endTime;
	/**
	* 折扣比例
	*/
	@ApiModelProperty(value = "折扣比例")
	private Double discountRatio;
	/**
	* 满减金额
	*/
	@ApiModelProperty(value = "满减金额")
	private BigDecimal fullReduction;
	/**
	* 优惠金额
	*/
	@ApiModelProperty(value = "优惠金额")
	private BigDecimal discountAmount;



}
