package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商品优惠券关联表实体类
 *
 * @author zzyd
 * @since 2023-05-04
 */
@Data
@TableName("biz_coupon_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CouponGoods对象", description = "商品优惠券关联表")
public class CouponGoods extends BaseEntity<CouponGoods> {

	private static final long serialVersionUID = 1L;

	/**
	* 商品ID
	*/
	@ApiModelProperty(value = "商品ID")
	private Long goodsInfoId;
	/**
	* 优惠券ID
	*/
	@ApiModelProperty(value = "优惠券ID")
	private Long couponId;



}
