package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户优惠券关联表实体类
 *
 * @author zzyd
 * @since 2023-05-04
 */
@Data
@TableName("biz_coupon_user")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CouponUser对象", description = "用户优惠券关联表")
public class CouponUser extends BaseEntity<CouponUser> {

	private static final long serialVersionUID = 1L;

	/**
	* 优惠券id
	*/
	@ApiModelProperty(value = "优惠券id")
	private Long couponId;
	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	* 优惠券状态;1-未使用 2-已使用 3-已过期
	*/
	@ApiModelProperty(value = "优惠券状态;1-未使用 2-已使用 3-已过期")
	private Integer state;
	/**
	* 使用时间
	*/
	@ApiModelProperty(value = "使用时间")
	private LocalDateTime userTime;
	/**
	* 使用时关联的订单id
	*/
	@ApiModelProperty(value = "使用时关联的订单号或者流水号")
	private String orderNo;



}
