package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 秒杀商品表实体类
 *
 * @author zzyd
 * @since 2023-05-04
 */
@Data
@TableName("biz_seckill_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SeckillGoods对象", description = "秒杀商品表")
public class SeckillGoods extends BaseEntity<SeckillGoods> {

	private static final long serialVersionUID = 1L;

	/**
	* 秒杀场次ID
	*/
	@ApiModelProperty(value = "秒杀场次ID")
	private Long seckillRoundId;
	/**
	* 商品ID
	*/
	@ApiModelProperty(value = "商品ID")
	private Long goodsId;
	/**
	* 抢购商品数量
	*/
	@ApiModelProperty(value = "抢购商品数量")
	private Integer goodsQuantity;
	/**
	* 已抢数量
	*/
	@ApiModelProperty(value = "已抢数量")
	private Integer rushNum;



}
