package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 限时秒杀场次表实体类
 *
 * @author zzyd
 * @since 2023-05-04
 */
@Data
@TableName("biz_seckill_round")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SeckillRound对象", description = "限时秒杀场次表")
public class SeckillRound extends BaseEntity<SeckillRound> {

	private static final long serialVersionUID = 1L;

	/**
	* 开始时间
	*/
	@ApiModelProperty(value = "开始时间")
	private LocalTime startTime;
	/**
	* 结束时间
	*/
	@ApiModelProperty(value = "结束时间")
	private LocalTime endTime;
	/**
	* 是否启用;1-启用 0-禁用
	*/
	@ApiModelProperty(value = "是否启用;1-启用 0-禁用")
	private Integer enable;



}
