package org.springblade.modules.mall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;

/**
 * 购物车实体类
 *
 * @author pangqijun
 * @since 2022-07-28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("biz_shopping_cart")
public class ShoppingCart extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/** 商品id */
	@ApiModelProperty(value = "商品id")
	private Long goodsInfoId;

	/** 规格id */
	@ApiModelProperty(value = "规格id")
	private Long goodsSpecId;

	/** 商品数量 */
	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;

	/** 用户id */
	@ApiModelProperty(value = "用户id")
	private Long userId;
}
