/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.api.vo.CouponQuantityVO;
import org.springblade.modules.mall.entity.CouponUser;
import org.springblade.modules.mall.vo.CouponUserVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 用户优惠券关联表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-05-04
 */
public interface CouponUserMapper extends BaseMapper<CouponUser> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param couponUser
	 * @return
	 */
	List<CouponUserVO> selectCouponUserPage(IPage page, CouponUserVO couponUser);

	/**
	 * 查询用户优惠券数据
	 * @param page
	 * @param userId
	 * @param state
	 * @return
	 */
	List<CouponUserVO> selectUserCouponList(IPage page, @Param(value = "userId") Long userId, @Param(value = "state") Integer state);

	CouponQuantityVO quantity(@Param(value = "userId") Long userId);
}
