/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.service.impl;

import org.springblade.modules.mall.entity.CommentLike;
import org.springblade.modules.mall.vo.CommentLikeVO;
import org.springblade.modules.mall.mapper.CommentLikeMapper;
import org.springblade.modules.mall.service.ICommentLikeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 评论点赞表 服务实现类
 *
 * @author BladeX
 * @since 2023-07-05
 */
@Service
public class CommentLikeServiceImpl extends ServiceImpl<CommentLikeMapper, CommentLike> implements ICommentLikeService {

	@Override
	public IPage<CommentLikeVO> selectCommentLikePage(IPage<CommentLikeVO> page, CommentLikeVO commentLike) {
		return page.setRecords(baseMapper.selectCommentLikePage(page, commentLike));
	}

}
