/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.service.impl;

import org.springblade.modules.mall.entity.CommentMedia;
import org.springblade.modules.mall.vo.CommentMediaVO;
import org.springblade.modules.mall.mapper.CommentMediaMapper;
import org.springblade.modules.mall.service.ICommentMediaService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 评论媒体信息表 服务实现类
 *
 * @author BladeX
 * @since 2023-06-13
 */
@Service
public class CommentMediaServiceImpl extends ServiceImpl<CommentMediaMapper, CommentMedia> implements ICommentMediaService {

	@Override
	public IPage<CommentMediaVO> selectCommentMediaPage(IPage<CommentMediaVO> page, CommentMediaVO commentMedia) {
		return page.setRecords(baseMapper.selectCommentMediaPage(page, commentMedia));
	}

}
