/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.service.impl;

import org.springblade.modules.mall.entity.Coupon;
import org.springblade.modules.mall.vo.CouponVO;
import org.springblade.modules.mall.mapper.CouponMapper;
import org.springblade.modules.mall.service.ICouponService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.mall.wrapper.CouponWrapper;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 优惠券 服务实现类
 *
 * @author BladeX
 * @since 2023-05-04
 */
@Service
public class CouponServiceImpl extends ServiceImpl<CouponMapper, Coupon> implements ICouponService {

	@Override
	public IPage<CouponVO> selectCouponPage(IPage<CouponVO> page, CouponVO coupon) {
		return page.setRecords(baseMapper.selectCouponPage(page, coupon));
	}

	@Override
	public List<CouponVO> getByScene(List<Long> sceneList) {
		List<Coupon> list = this.lambdaQuery().in(Coupon::getBusinessScene, sceneList).list();
		return CouponWrapper.build().listVO(list);
	}

}
