/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.mall.entity.SeckillGoods;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

import java.math.BigDecimal;

/**
 * 秒杀商品表视图实体类
 *
 * @author BladeX
 * @since 2023-05-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SeckillGoodsVO对象", description = "秒杀商品表")
public class SeckillGoodsVO extends SeckillGoods {
	private static final long serialVersionUID = 1L;
	/**
	 * 秒杀价
	 */
	@ApiModelProperty(value = "秒杀价")
	private BigDecimal seckillPrice;
	/**
	 * 商品名称
	 */
	@ApiModelProperty(value = "商品名称")
	private String goodsName;
	/**
	 * 商品封面
	 */
	@ApiModelProperty(value = "商品封面")
	private String goodsCover;
}
