/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mall.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mall.entity.CommentLike;
import org.springblade.modules.mall.vo.CommentLikeVO;
import java.util.Objects;

/**
 * 评论点赞表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-05
 */
public class CommentLikeWrapper extends BaseEntityWrapper<CommentLike, CommentLikeVO>  {

	public static CommentLikeWrapper build() {
		return new CommentLikeWrapper();
 	}

	@Override
	public CommentLikeVO entityVO(CommentLike commentLike) {
		CommentLikeVO commentLikeVO = Objects.requireNonNull(BeanUtil.copy(commentLike, CommentLikeVO.class));

		//User createUser = UserCache.getUser(commentLike.getCreateUser());
		//User updateUser = UserCache.getUser(commentLike.getUpdateUser());
		//commentLikeVO.setCreateUserName(createUser.getName());
		//commentLikeVO.setUpdateUserName(updateUser.getName());

		return commentLikeVO;
	}

}
