package org.springblade.modules.platform.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 余额记录表实体类
 *
 * @author zzyd
 * @since 2023-07-10
 */
@Data
@TableName("biz_balance_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BalanceRecord对象", description = "余额记录表")
public class BalanceRecord extends BaseEntity<BalanceRecord> {

	private static final long serialVersionUID = 1L;

	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	* 订单编号
	*/
	@ApiModelProperty(value = "订单编号")
	private String orderNo;
	/**
	* 类型;1-充值 2-提现 3-消费
	*/
	@ApiModelProperty(value = "类型;1-充值 2-提现 3-消费")
	private Integer type;
	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	private String description;
	/**
	* 提现状态;1-审核中 2-成功 3-失败
	*/
	@ApiModelProperty(value = "提现状态;1-审核中 2-成功 3-失败")
	private Integer withdrawalStatus;
	/**
	* 提现失败原因
	*/
	@ApiModelProperty(value = "提现失败原因")
	private String withdrawalFailReason;
	/**
	* 金额
	*/
	@ApiModelProperty(value = "金额")
	private BigDecimal amount;
	/**
	* 金额类型;0-支出 1-收入
	*/
	@ApiModelProperty(value = "金额类型;0-支出 1-收入")
	private Integer amountType;
	/**
	* 交易方式
	*/
	@ApiModelProperty(value = "交易方式")
	private String tradeMode;



}
