package org.springblade.modules.platform.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商家入驻信息表实体类
 *
 * @author zzyd
 * @since 2023-05-31
 */
@Data
@TableName("biz_merchant_settle")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "MerchantSettle对象", description = "商家入驻信息表")
public class MerchantSettle extends BaseEntity<MerchantSettle> {

	private static final long serialVersionUID = 1L;

	/**
	* 厂家名字
	*/
	@ApiModelProperty(value = "厂家名字")
	private String factoryName;
	/**
	* 联系人
	*/
	@ApiModelProperty(value = "联系人")
	private String contactPerson;
	/**
	* 联系电话
	*/
	@ApiModelProperty(value = "联系电话")
	private String contactNumber;
	/**
	* 入驻状态 1已入住 0未入住
	*/
	@ApiModelProperty(value = "入驻状态 1已入住 0未入住")
	private Integer settleState;



}
