package org.springblade.modules.platform.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户消息表实体类
 *
 * @author zzyd
 * @since 2023-07-06
 */
@Data
@TableName("biz_user_message")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "UserMessage对象", description = "用户消息表")
public class UserMessage extends BaseEntity<UserMessage> {

	private static final long serialVersionUID = 1L;

	/**
	* 标题
	*/
	@ApiModelProperty(value = "标题")
	private String title;
	/**
	* 类型;1-交易通知 2-物流通知
	*/
	@ApiModelProperty(value = "类型;1-交易通知 2-物流通知")
	private Integer type;
	/**
	* 订单id
	*/
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	* 用户id
	*/
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	* 是否已读
	*/
	@ApiModelProperty(value = "是否已读")
	private Boolean isRead;



}
