package org.springblade.modules.platform.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.common.enums.IntegralSourceEnum;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.system.entity.UserApp;
import org.springblade.modules.system.vo.UserAppVO;

public interface IUserAppService extends IService<UserApp> {

	IPage<UserAppVO> pageList(IPage<UserAppVO> page, UserAppVO vo);

	/**
	 * 验证支付密码
	 * @param payPassword 支付密码
	 * @param userId 用户id
	 * @return
	 */
	Boolean verifyPayPassword(String payPassword, Long userId);

	/**
	 * 通过用户id查询用户详情
	 * @param userId 用户id
	 * @return
	 */
	UserApp getByUserId(Long userId);

	/**
	 * 增加用户积分
	 * @param userId
	 * @param integral
	 */
	void addIntegral(Long userId, Double integral, IntegralSourceEnum integralSourceEnum, String remark);

	/**
	 * 扣除用户积分
	 * @param userId
	 * @param integral
	 */
	void deductIntegral(Long userId, Double integral);
}
