/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service.impl;

import org.springblade.modules.platform.entity.MerchantSettle;
import org.springblade.modules.platform.vo.MerchantSettleVO;
import org.springblade.modules.platform.mapper.MerchantSettleMapper;
import org.springblade.modules.platform.service.IMerchantSettleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 商家入驻信息表 服务实现类
 *
 * @author BladeX
 * @since 2023-05-31
 */
@Service
public class MerchantSettleServiceImpl extends ServiceImpl<MerchantSettleMapper, MerchantSettle> implements IMerchantSettleService {

	@Override
	public IPage<MerchantSettleVO> selectMerchantSettlePage(IPage<MerchantSettleVO> page, MerchantSettleVO merchantSettle) {
		return page.setRecords(baseMapper.selectMerchantSettlePage(page, merchantSettle));
	}

}
