/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.service.impl;

import org.springblade.modules.platform.entity.NoticeRead;
import org.springblade.modules.platform.vo.NoticeReadVO;
import org.springblade.modules.platform.mapper.NoticeReadMapper;
import org.springblade.modules.platform.service.INoticeReadService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 系统通知阅读记录 服务实现类
 *
 * @author BladeX
 * @since 2023-07-06
 */
@Service
public class NoticeReadServiceImpl extends ServiceImpl<NoticeReadMapper, NoticeRead> implements INoticeReadService {

	@Override
	public IPage<NoticeReadVO> selectNoticeReadPage(IPage<NoticeReadVO> page, NoticeReadVO noticeRead) {
		return page.setRecords(baseMapper.selectNoticeReadPage(page, noticeRead));
	}

}
