/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.platform.entity.BalanceRecord;
import org.springblade.modules.platform.vo.BalanceRecordVO;
import java.util.Objects;

/**
 * 余额记录表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-10
 */
public class BalanceRecordWrapper extends BaseEntityWrapper<BalanceRecord, BalanceRecordVO>  {

	public static BalanceRecordWrapper build() {
		return new BalanceRecordWrapper();
 	}

	@Override
	public BalanceRecordVO entityVO(BalanceRecord balanceRecord) {
		BalanceRecordVO balanceRecordVO = Objects.requireNonNull(BeanUtil.copy(balanceRecord, BalanceRecordVO.class));

		//User createUser = UserCache.getUser(balanceRecord.getCreateUser());
		//User updateUser = UserCache.getUser(balanceRecord.getUpdateUser());
		//balanceRecordVO.setCreateUserName(createUser.getName());
		//balanceRecordVO.setUpdateUserName(updateUser.getName());

		return balanceRecordVO;
	}

}
