/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.platform.entity.MerchantSettle;
import org.springblade.modules.platform.vo.MerchantSettleVO;
import java.util.Objects;

/**
 * 商家入驻信息表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-05-31
 */
public class MerchantSettleWrapper extends BaseEntityWrapper<MerchantSettle, MerchantSettleVO>  {

	public static MerchantSettleWrapper build() {
		return new MerchantSettleWrapper();
 	}

	@Override
	public MerchantSettleVO entityVO(MerchantSettle merchantSettle) {
		MerchantSettleVO merchantSettleVO = Objects.requireNonNull(BeanUtil.copy(merchantSettle, MerchantSettleVO.class));

		//User createUser = UserCache.getUser(merchantSettle.getCreateUser());
		//User updateUser = UserCache.getUser(merchantSettle.getUpdateUser());
		//merchantSettleVO.setCreateUserName(createUser.getName());
		//merchantSettleVO.setUpdateUserName(updateUser.getName());

		return merchantSettleVO;
	}

}
