/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.platform.entity.NoticeRead;
import org.springblade.modules.platform.vo.NoticeReadVO;
import java.util.Objects;

/**
 * 系统通知阅读记录包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-06
 */
public class NoticeReadWrapper extends BaseEntityWrapper<NoticeRead, NoticeReadVO>  {

	public static NoticeReadWrapper build() {
		return new NoticeReadWrapper();
 	}

	@Override
	public NoticeReadVO entityVO(NoticeRead noticeRead) {
		NoticeReadVO noticeReadVO = Objects.requireNonNull(BeanUtil.copy(noticeRead, NoticeReadVO.class));

		//User createUser = UserCache.getUser(noticeRead.getCreateUser());
		//User updateUser = UserCache.getUser(noticeRead.getUpdateUser());
		//noticeReadVO.setCreateUserName(createUser.getName());
		//noticeReadVO.setUpdateUserName(updateUser.getName());

		return noticeReadVO;
	}

}
