/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.platform.entity.UserMessage;
import org.springblade.modules.platform.vo.UserMessageVO;
import java.util.Objects;

/**
 * 用户消息表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-06
 */
public class UserMessageWrapper extends BaseEntityWrapper<UserMessage, UserMessageVO>  {

	public static UserMessageWrapper build() {
		return new UserMessageWrapper();
 	}

	@Override
	public UserMessageVO entityVO(UserMessage userMessage) {
		UserMessageVO userMessageVO = Objects.requireNonNull(BeanUtil.copy(userMessage, UserMessageVO.class));

		//User createUser = UserCache.getUser(userMessage.getCreateUser());
		//User updateUser = UserCache.getUser(userMessage.getUpdateUser());
		//userMessageVO.setCreateUserName(createUser.getName());
		//userMessageVO.setUpdateUserName(updateUser.getName());

		return userMessageVO;
	}

}
